version: "3"
services:
  db:
    image: postgres:15
    volumes:
      - ./create-databases.sh:/docker-entrypoint-initdb.d/create-databases.sh
    command:
      - "--max_prepared_transactions=100"
    ports:
      - 5432
    environment:
      - WILDFLY_DATABASES=security:security_user:secpassword,jbpm:jbpm:jbpmpassword
      - POSTGRES_PASSWORD=supersecretpassword
    labels:
      - "tmp=true"

  webbpm-app:
    build:
      context: .
      dockerfile: Dockerfile
    depends_on:
      - db
    ports:
      - 9990
      - 8080
      - 8787
      - 12345
    env_file:
      - testing.env
    labels:
      - "tmp=true"
